Groovy 1.7.10

## org.codehaus.groovy.tools
[Java] Class StringHelper

    java.lang.Object
      org.codehaus.groovy.tools.StringHelper

    public class StringHelper
    extends Object

Method Summary
`static String[]` | `tokenizeUnquoted(String s)` This method tokenizes a string by space characters, but ignores spaces in quoted parts,that are parts in '' or "".

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### tokenizeUnquoted

    public static String[] tokenizeUnquoted(String s)

  This method tokenizes a string by space characters, but ignores spaces in quoted parts,that are parts in '' or "". The method does allows the usage of "" in '' and '' in "". The space character between tokens is not returned.
  Parameters:
    `s` - the string to tokenize
  Returns:
    the tokens

Copyright © 2003-2010 The Codehaus. All rights reserved.